Runtime

## org.eclipse.gmf.runtime.diagram.ui.figures
Class BorderItemsUtil

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.figures.BorderItemsUtil

public class BorderItemsUtil
extends java.lang.Object

Utility class used to provide helper methods commonly used by the Border Item figures

Constructor Summary
`BorderItemsUtil()`

Method Summary
`static BorderItemsAwareFreeFormLayer` `getBorderItemLayer(IFigure borderFigure)` returns the border item waare free form layer for the passed figure

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderItemsUtil

    public BorderItemsUtil()

Method Detail

### getBorderItemLayer

    public static BorderItemsAwareFreeFormLayer getBorderItemLayer(IFigure borderFigure)

  returns the border item waare free form layer for the passed figure

  Parameters:
    `borderFigure` - the figure to use to get the `BorderItemsAwareFreeFormLayer`
  Returns:
    BorderItemsAwareFreeFormLayer or null if there is no one found

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.